=== debian/changelog ===
horizon-eda (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * change dependency on dh_python to dh-python
  * updated patches

 -- Uwe Steinmann <steinm@debian.org>  Sat, 30 Jan 2021 15:44:08 +0100
