## horizon-eda 2.1.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: $(PROGS)
 pymodule: $(BUILDDIR)/horizon.so
 
-.PHONY: all pymodule
+.PHONY: all pymodule install install-man
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
@@ -57,7 +57,6 @@
 	src/board/board_package.cpp\
 	src/board/track.cpp\
 	src/board/airwire.cpp\
-	src/board/via_padstack_provider.cpp\
 	src/board/via.cpp\
 	src/board/plane.cpp\
 	src/board/board_rules.cpp\
@@ -84,8 +83,11 @@
 	src/board/pnp.cpp\
 	src/board/board_decal.cpp\
 	src/pool/pool.cpp \
+	src/pool/ipool.cpp \
+	src/pool/pool_info.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
+	src/util/geom_util.cpp\
 	src/util/csv.cpp\
 	src/common/object_descr.cpp\
 	src/block/net_class.cpp\
@@ -109,14 +111,16 @@
 	src/pool/pool_parametric.cpp \
 	src/board/included_board.cpp \
 	src/board/board_panel.cpp \
-	src/pool/pool_cached.cpp\
 	src/common/picture.cpp\
 	src/util/picture_data.cpp\
 	src/util/picture_load.cpp\
 	src/pool/decal.cpp\
 	src/symbol/symbol_rules.cpp\
 	src/symbol/rule_symbol_checks.cpp\
-	src/util/file_version.cpp
+	src/util/file_version.cpp\
+	src/pool/project_pool.cpp\
+	src/util/fs_util.cpp\
+	src/common/grid_settings.cpp\
 
 
 ifeq ($(OS),Windows_NT)
@@ -130,6 +134,15 @@
 	src/pool-update/pool-update.cpp\
 	src/pool-update/pool-update_parametric.cpp\
 	src/pool-update/pool-update_pool.cpp\
+	src/pool-update/pool_updater.cpp\
+	src/pool-update/pool_updater_frame.cpp\
+	src/pool-update/pool_updater_decal.cpp\
+	src/pool-update/pool_updater_unit.cpp\
+	src/pool-update/pool_updater_entity.cpp\
+	src/pool-update/pool_updater_padstack.cpp\
+	src/pool-update/pool_updater_package.cpp\
+	src/pool-update/pool_updater_part.cpp\
+	src/pool-update/pool_updater_symbol.cpp\
 	src/pool-update/graph.cpp\
 
 SRC_CANVAS = \
@@ -165,6 +178,7 @@
 	src/canvas/bitmap_font_util.cpp\
 	src/canvas/picture_renderer.cpp\
 	src/util/polygon_arc_removal_proxy.cpp\
+	src/util/warp_cursor.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -179,7 +193,9 @@
 	src/imp/imp_schematic.cpp\
 	src/imp/imp_padstack.cpp\
 	src/imp/imp_package.cpp\
-	src/imp/imp_package_3d.cpp\
+	src/imp/3d/imp_package_3d.cpp\
+	src/imp/3d/model_editor.cpp\
+	src/imp/3d/place_model_box.cpp\
 	src/imp/imp_board.cpp\
 	src/imp/imp_frame.cpp\
 	src/imp/imp_decal.cpp\
@@ -288,6 +304,10 @@
 	src/core/tools/tool_place_decal.cpp\
 	src/core/tools/tool_drag_polygon_edge.cpp\
 	src/core/tools/tool_measure.cpp\
+	src/core/tools/tool_edit_custom_value.cpp\
+	src/core/tools/tool_place_dot.cpp\
+	src/core/tools/tool_set_track_width.cpp\
+	src/core/tools/tool_settings_rectangle_mode.cpp\
 	src/document/documents.cpp\
 	src/core/clipboard/clipboard.cpp\
 	src/core/clipboard/clipboard_padstack.cpp\
@@ -303,7 +323,7 @@
 	src/dialogs/manage_buses.cpp\
 	src/dialogs/ask_datum.cpp\
 	src/dialogs/ask_datum_string.cpp\
-	src/dialogs/select_via_padstack.cpp\
+	src/widgets/text_editor.cpp\
 	src/dialogs/dialogs.cpp\
 	src/dialogs/annotate.cpp\
 	src/dialogs/edit_shape.cpp\
@@ -329,6 +349,7 @@
 	src/dialogs/enter_datum_angle_window.cpp\
 	src/dialogs/enter_datum_scale_window.cpp\
 	src/dialogs/router_settings_window.cpp\
+	src/dialogs/edit_custom_value.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
@@ -346,25 +367,4 @@
 	src/widgets/net_button.cpp\
 	src/widgets/layer_box.cpp\
 	src/widgets/spin_button_dim.cpp\
-	src/widgets/chooser_buttons.cpp\
 	src/widgets/cell_renderer_color_box.cpp\
-	src/widgets/net_class_button.cpp\
-	src/widgets/parameter_set_editor.cpp\
-	src/widgets/pool_browser.cpp\
-	src/widgets/component_selector.cpp\
-	src/widgets/component_button.cpp\
-	src/widgets/preview_canvas.cpp\
-	src/widgets/about_dialog.cpp\
-	src/widgets/project_meta_editor.cpp\
-	src/export_pdf/canvas_pdf.cpp\
-	src/export_pdf/export_pdf.cpp\
-	src/export_pdf/export_pdf_board.cpp\
-	src/imp/keyseq_dialog.cpp\
-	src/canvas/canvas_patch.cpp\
-	src/export_gerber/gerber_writer.cpp\
-	src/export_gerber/excellon_writer.cpp\
-	src/export_gerber/gerber_export.cpp\
-	src/export_gerber/canvas_gerber.cpp\
-	src/export_gerber/hash.cpp\
-	src/imp/footprint_generator/footprint_generator_window.cpp\
-	src/imp/footprint_generator/footprint_generator_base.cpp\
