=== debian/changelog ===
horizon-eda (2.1.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:22:54 +0000

horizon-eda (2.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Thu, 09 Sep 2021 17:17:09 +0200

horizon-eda (2.0.90-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Tue, 07 Sep 2021 08:03:43 +0200

horizon-eda (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Fix typo in Rules-requires-root

 -- Uwe Steinmann <steinm@debian.org>  Thu, 02 Sep 2021 09:04:50 +0200
