## horizon-eda 2.2.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 SRC_COMMON = \
 	src/util/uuid.cpp \
 	src/util/uuid_path.cpp\
+	src/util/uuid_vec.cpp\
 	src/util/sqlite.cpp\
 	src/util/str_util.cpp\
 	src/pool/pool_manager.cpp \
@@ -17,6 +18,7 @@
 	src/pool/symbol.cpp \
 	src/pool/part.cpp\
 	src/common/common.cpp \
+	src/common/lut.cpp \
 	src/common/junction.cpp \
 	src/common/junction_util.cpp \
 	src/common/line.cpp \
@@ -28,6 +30,7 @@
 	src/block/block.cpp\
 	src/pool/entity.cpp\
 	src/block/component.cpp\
+	src/block/block_instance.cpp\
 	src/block/bom.cpp\
 	src/block/bom_export_settings.cpp\
 	src/schematic/schematic.cpp\
@@ -39,12 +42,14 @@
 	src/schematic/bus_label.cpp\
 	src/schematic/bus_ripper.cpp\
 	src/schematic/schematic_symbol.cpp\
+	src/schematic/schematic_block_symbol.cpp\
 	src/schematic/power_symbol.cpp\
 	src/schematic/schematic_rules.cpp\
 	src/schematic/rule_single_pin_net.cpp\
 	src/common/pdf_export_settings.cpp\
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
+	src/util/polygon_arc_removal_proxy.cpp\
 	src/common/hole.cpp\
 	src/common/shape.cpp\
 	src/common/patch_type_names.cpp\
@@ -121,6 +126,16 @@
 	src/pool/project_pool.cpp\
 	src/util/fs_util.cpp\
 	src/common/grid_settings.cpp\
+	src/util/dependency_graph.cpp\
+	src/blocks/blocks.cpp\
+	src/blocks/blocks_schematic.cpp\
+	src/block_symbol/block_symbol.cpp\
+	src/blocks/dependency_graph.cpp\
+	src/util/installation_uuid.cpp\
+	src/rules/rule_match_component.cpp\
+	src/board/rule_shorted_pads.cpp\
+	src/rules/rule_match_component.cpp\
+	src/common/pin_name_orientation.cpp\
 
 
 ifeq ($(OS),Windows_NT)
@@ -177,8 +192,8 @@
 	src/canvas/appearance.cpp\
 	src/canvas/bitmap_font_util.cpp\
 	src/canvas/picture_renderer.cpp\
-	src/util/polygon_arc_removal_proxy.cpp\
 	src/util/warp_cursor.cpp\
+	src/canvas/layer_display.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -308,14 +323,18 @@
 	src/core/tools/tool_place_dot.cpp\
 	src/core/tools/tool_set_track_width.cpp\
 	src/core/tools/tool_settings_rectangle_mode.cpp\
+	src/core/tools/tool_exchange_gates.cpp\
+	src/core/tools/tool_map_port.cpp\
+	src/core/tools/tool_add_block_instance.cpp\
+	src/core/tools/tool_helper_save_placements.cpp\
+	src/core/tools/tool_align_and_distribute.cpp\
 	src/document/documents.cpp\
 	src/core/clipboard/clipboard.cpp\
 	src/core/clipboard/clipboard_padstack.cpp\
 	src/core/clipboard/clipboard_package.cpp\
 	src/core/clipboard/clipboard_schematic.cpp\
 	src/core/clipboard/clipboard_board.cpp\
-	src/dialogs/map_pin.cpp\
-	src/dialogs/map_symbol.cpp\
+	src/dialogs/map_uuid_path.cpp\
 	src/dialogs/map_package.cpp\
 	src/dialogs/ask_net_merge.cpp\
 	src/dialogs/select_net.cpp\
@@ -347,24 +366,3 @@
 	src/dialogs/manage_included_boards.cpp\
 	src/dialogs/enter_datum_window.cpp\
 	src/dialogs/enter_datum_angle_window.cpp\
-	src/dialogs/enter_datum_scale_window.cpp\
-	src/dialogs/router_settings_window.cpp\
-	src/dialogs/edit_custom_value.cpp\
-	src/util/sort_controller.cpp\
-	src/core/core_symbol.cpp\
-	src/core/core_schematic.cpp\
-	src/core/core_padstack.cpp\
-	src/core/core_package.cpp\
-	src/core/core_board.cpp\
-	src/core/core_frame.cpp\
-	src/core/core_decal.cpp\
-	src/property_panels/property_panels.cpp\
-	src/property_panels/property_panel.cpp\
-	src/property_panels/property_editor.cpp\
-	src/widgets/warnings_box.cpp\
-	src/widgets/net_selector.cpp\
-	src/widgets/sheet_box.cpp \
-	src/widgets/net_button.cpp\
-	src/widgets/layer_box.cpp\
-	src/widgets/spin_button_dim.cpp\
-	src/widgets/cell_renderer_color_box.cpp\
