=== debian/changelog ===
horizon-eda (2.2.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libpodofo0.9.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2022 17:03:09 +0000

horizon-eda (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add CC0-1.0, APGL-3+ to licenses

 -- Uwe Steinmann <steinm@debian.org>  Mon, 14 Feb 2022 10:53:54 +0100
