=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 10), doxygen,
 libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
 liboce-ocaf-dev, libdxflib-dev,
 libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
 libpython3-dev, dh-python
Standards-Version: 4.4.0
Homepage: https://horizon-eda.org/
Rules-Requires-Root: no

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: EDA layout and schematic application
 Horizon is an Electronic Design Automation (EDA) tool for circuit
 board design. It manages the full design flow from schematic entry
 to gerber export. The main differentiator from KiCAD is a different
 (more sane) part library design. It is quite new software in 2018
 so may have rough edges but is already very capable.
 .
 Notable features:
  * Sane library management
  * Unified editor for everything from symbol to board
  * Netlist-aware schematic editor
  * KiCad's awesome interactive router
  * Lag- and glitch-free rendering
  * Rule-based DRC
  * Undo/redo
  * Copy/paste for some objects
  * Builds and runs on Linux and Windows
