## horizon-eda 2.3.1

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	src/schematic/schematic_block_symbol.cpp\
 	src/schematic/power_symbol.cpp\
 	src/schematic/schematic_rules.cpp\
-	src/schematic/rule_single_pin_net.cpp\
+	src/schematic/rule_connectivity.cpp\
 	src/common/pdf_export_settings.cpp\
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
@@ -59,6 +59,7 @@
 	src/package/rule_package_checks.cpp\
 	src/package/rule_clearance_package.cpp\
 	src/board/board.cpp\
+	src/board/board_junction.cpp\
 	src/board/board_package.cpp\
 	src/board/track.cpp\
 	src/board/airwire.cpp\
@@ -78,9 +79,11 @@
 	src/board/rule_clearance_copper_keepout.cpp\
 	src/board/rule_layer_pair.cpp\
 	src/board/rule_clearance_same_net.cpp\
+	src/board/rule_board_connectivity.cpp\
 	3rd_party/delaunator/delaunator.cpp\
 	src/board/airwires.cpp\
-	src/board/fab_output_settings.cpp\
+	src/board/gerber_output_settings.cpp\
+	src/board/odb_output_settings.cpp\
 	src/board/board_hole.cpp\
 	src/board/connection_line.cpp\
 	src/board/step_export_settings.cpp\
@@ -134,8 +137,14 @@
 	src/util/installation_uuid.cpp\
 	src/rules/rule_match_component.cpp\
 	src/board/rule_shorted_pads.cpp\
+	src/board/rule_thermals.cpp\
 	src/rules/rule_match_component.cpp\
 	src/common/pin_name_orientation.cpp\
+	src/util/pin_direction_accumulator.cpp\
+	src/block/net_tie.cpp\
+	src/schematic/schematic_net_tie.cpp\
+	src/board/board_net_tie.cpp\
+	src/board/rule_net_ties.cpp\
 
 
 ifeq ($(OS),Windows_NT)
@@ -162,38 +171,81 @@
 
 SRC_CANVAS = \
 	src/canvas/canvas.cpp \
-	src/canvas/canvas_gl.cpp \
-	src/canvas/grid.cpp \
-	src/canvas/gl_util.cpp \
-	src/canvas/pan.cpp \
+	src/canvas/appearance.cpp \
 	src/canvas/render.cpp \
 	src/canvas/draw.cpp \
 	src/canvas/text.cpp \
 	src/canvas/hershey_fonts.cpp \
-	src/canvas/drag_selection.cpp \
-	src/canvas/selectables.cpp \
-	src/canvas/selectables_renderer.cpp \
-	src/canvas/hover_prelight.cpp\
-	src/canvas/triangle_renderer.cpp\
 	src/canvas/image.cpp\
-	src/canvas/selection_filter.cpp\
+	src/canvas/selectables.cpp\
+	src/canvas/fragment_cache.cpp\
+	src/util/text_data.cpp \
+	src/util/text_renderer.cpp \
+	src/canvas/text_renderer.cpp\
 	3rd_party/polypartition/polypartition.cpp\
-	src/canvas/marker.cpp\
-	src/canvas/annotation.cpp \
-	src/canvas/fragment_cache.cpp \
-	src/util/text_data.cpp \
 	3rd_party/poly2tri/common/shapes.cpp\
 	3rd_party/poly2tri/sweep/cdt.cpp\
 	3rd_party/poly2tri/sweep/sweep.cpp\
 	3rd_party/poly2tri/sweep/sweep_context.cpp\
 	3rd_party/poly2tri/sweep/advancing_front.cpp\
+	src/canvas/layer_display.cpp\
+
+SRC_EXPORT = \
+	src/export_gerber/gerber_writer.cpp\
+	src/export_gerber/excellon_writer.cpp\
+	src/export_gerber/gerber_export.cpp\
+	src/export_gerber/canvas_gerber.cpp\
+	src/export_util/padstack_hash.cpp\
+	src/export_util/tree_writer.cpp\
+	src/export_util/tree_writer_fs.cpp\
+	src/export_util/tree_writer_archive.cpp\
+	src/export_pdf/canvas_pdf.cpp\
+	src/export_pdf/export_pdf.cpp\
+	src/export_pdf/export_pdf_board.cpp\
+	src/export_pdf/export_pdf_util.cpp\
+	src/export_pnp/export_pnp.cpp \
+	src/export_bom/export_bom.cpp\
+	src/export_odb/odb_export.cpp\
+	src/export_odb/canvas_odb.cpp\
+	src/export_odb/db.cpp\
+	src/export_odb/eda_data.cpp\
+	src/export_odb/attribute_util.cpp\
+	src/export_odb/surface_data.cpp\
+	src/export_odb/features.cpp\
+	src/export_odb/components.cpp\
+	src/export_odb/symbol.cpp\
+	src/export_odb/odb_util.cpp\
+	src/export_odb/track_graph.cpp\
+	src/export_odb/structured_text_writer.cpp\
+
+SRC_CANVAS_GL = \
+	$(SRC_CANVAS) \
+	src/canvas/canvas_gl.cpp \
+	src/canvas/grid.cpp \
+	src/canvas/gl_util.cpp \
+	src/canvas/pan.cpp \
+	src/canvas/drag_selection.cpp \
+	src/canvas/selectables_renderer.cpp \
+	src/canvas/hover_prelight.cpp\
+	src/canvas/triangle_renderer.cpp\
+	src/canvas/selection_filter.cpp\
+	src/canvas/marker.cpp\
+	src/canvas/annotation.cpp \
 	src/util/msd.cpp\
 	src/util/msd_animator.cpp\
-	src/canvas/appearance.cpp\
 	src/canvas/bitmap_font_util.cpp\
 	src/canvas/picture_renderer.cpp\
 	src/util/warp_cursor.cpp\
-	src/canvas/layer_display.cpp\
+
+SRC_BOARD_RULES_CHECK = \
+	src/rules/cache.cpp \
+	src/board/board_rules_check.cpp\
+	src/board/board_rules_check_clearance_copper.cpp\
+	src/board/board_rules_check_clearance_copper_non_copper.cpp\
+	src/board/board_rules_check_net_ties.cpp\
+	src/board/board_rules_check_plane_priorities.cpp\
+	src/board/board_rules_check_board_connectivity.cpp\
+	src/board/board_rules_check_util.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -220,13 +272,14 @@
 	src/imp/action_catalog.cpp\
 	src/imp/in_tool_action_catalog.cpp\
 	src/imp/clipboard_handler.cpp\
-	$(SRC_CANVAS) \
+	$(SRC_CANVAS_GL) \
 	src/document/document.cpp \
 	src/document/document_board.cpp \
 	src/core/core.cpp \
 	src/core/tool.cpp \
 	src/core/create_tool.cpp \
 	src/core/core_properties.cpp\
+	src/core/tools/tool_merge_duplicate_junctions.cpp\
 	src/core/tools/tool_move.cpp\
 	src/core/tools/tool_place_junction.cpp\
 	src/core/tools/tool_place_junction_schematic.cpp\
@@ -277,6 +330,7 @@
 	src/core/tools/tool_edit_plane.cpp\
 	src/core/tools/tool_update_all_planes.cpp\
 	src/core/tools/tool_draw_dimension.cpp\
+	src/core/tools/tool_select_connected_lines.cpp\
 	src/core/tools/tool_set_diffpair.cpp\
 	src/core/tools/tool_set_via_net.cpp\
 	src/core/tools/tool_lock.cpp\
@@ -290,6 +344,7 @@
 	src/core/tools/tool_copy_tracks.cpp\
 	src/core/tools/tool_swap_nets.cpp\
 	src/core/tools/tool_line_loop_to_polygon.cpp\
+	src/core/tools/tool_lines_to_tracks.cpp\
 	src/core/tools/tool_change_unit.cpp\
 	src/core/tools/tool_helper_line_width_setting.cpp\
 	src/core/tools/tool_set_nc_all.cpp\
@@ -316,53 +371,3 @@
 	src/core/tools/tool_round_off_vertex.cpp\
 	src/core/tools/tool_swap_gates.cpp\
 	src/core/tools/tool_place_picture.cpp\
-	src/core/tools/tool_place_decal.cpp\
-	src/core/tools/tool_drag_polygon_edge.cpp\
-	src/core/tools/tool_measure.cpp\
-	src/core/tools/tool_edit_custom_value.cpp\
-	src/core/tools/tool_place_dot.cpp\
-	src/core/tools/tool_set_track_width.cpp\
-	src/core/tools/tool_settings_rectangle_mode.cpp\
-	src/core/tools/tool_exchange_gates.cpp\
-	src/core/tools/tool_map_port.cpp\
-	src/core/tools/tool_add_block_instance.cpp\
-	src/core/tools/tool_helper_save_placements.cpp\
-	src/core/tools/tool_align_and_distribute.cpp\
-	src/document/documents.cpp\
-	src/core/clipboard/clipboard.cpp\
-	src/core/clipboard/clipboard_padstack.cpp\
-	src/core/clipboard/clipboard_package.cpp\
-	src/core/clipboard/clipboard_schematic.cpp\
-	src/core/clipboard/clipboard_board.cpp\
-	src/dialogs/map_uuid_path.cpp\
-	src/dialogs/map_package.cpp\
-	src/dialogs/ask_net_merge.cpp\
-	src/dialogs/select_net.cpp\
-	src/dialogs/symbol_pin_names_window.cpp\
-	src/dialogs/manage_buses.cpp\
-	src/dialogs/ask_datum.cpp\
-	src/dialogs/ask_datum_string.cpp\
-	src/widgets/text_editor.cpp\
-	src/dialogs/dialogs.cpp\
-	src/dialogs/annotate.cpp\
-	src/dialogs/edit_shape.cpp\
-	src/dialogs/manage_net_classes.cpp\
-	src/dialogs/manage_power_nets.cpp\
-	src/dialogs/pad_parameter_set_window.cpp\
-	src/dialogs/edit_via.cpp\
-	src/dialogs/pool_browser_dialog.cpp\
-	src/dialogs/schematic_properties.cpp\
-	src/dialogs/edit_plane.cpp\
-	src/dialogs/edit_stackup.cpp\
-	src/dialogs/edit_board_hole.cpp\
-	src/dialogs/edit_frame.cpp\
-	src/dialogs/edit_keepout.cpp\
-	src/dialogs/select_group_tag.cpp\
-	src/dialogs/ask_datum_angle.cpp\
-	src/dialogs/tool_window.cpp\
-	src/dialogs/renumber_pads_window.cpp\
-	src/dialogs/generate_silkscreen_window.cpp\
-	src/dialogs/select_included_board.cpp\
-	src/dialogs/manage_included_boards.cpp\
-	src/dialogs/enter_datum_window.cpp\
-	src/dialogs/enter_datum_angle_window.cpp\
