=== debian/changelog ===
horizon-eda (2.3.1-2) unstable; urgency=medium

  * build-depend depend on libarchive-dev (Closes: #1017910)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 22 Aug 2022 15:01:12 +0200

horizon-eda (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * depend on libdxf (>> 3.17.0) which fixes CVE-2021-21897
    and closes: #1010348
  * depend on cppzmq-dev instead of libzmq3-dev, closes: #1017432

 -- Uwe Steinmann <steinm@debian.org>  Thu, 18 Aug 2022 08:03:25 +0200
