## horizon-eda 2.4.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: $(PROGS)
 pymodule: $(BUILDDIR)/horizon.so
 
-.PHONY: all pymodule install install-man
+.PHONY: all pymodule install install-man test
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
@@ -306,6 +306,7 @@
 	src/core/tools/tool_place_pad.cpp\
 	src/core/tools/tool_paste.cpp\
 	src/core/tools/tool_assign_part.cpp\
+	src/core/tools/tool_clear_part.cpp\
 	src/core/tools/tool_map_package.cpp\
 	src/core/tools/tool_draw_track.cpp\
 	src/core/tools/tool_place_via.cpp\
@@ -340,8 +341,6 @@
 	src/core/tools/tool_generate_courtyard.cpp\
 	src/core/tools/tool_generate_silkscreen.cpp\
 	src/core/tools/tool_set_group.cpp\
-	src/core/tools/tool_copy_placement.cpp\
-	src/core/tools/tool_copy_tracks.cpp\
 	src/core/tools/tool_swap_nets.cpp\
 	src/core/tools/tool_line_loop_to_polygon.cpp\
 	src/core/tools/tool_lines_to_tracks.cpp\
@@ -371,3 +370,4 @@
 	src/core/tools/tool_round_off_vertex.cpp\
 	src/core/tools/tool_swap_gates.cpp\
 	src/core/tools/tool_place_picture.cpp\
+	src/core/tools/tool_place_decal.cpp\
