=== debian/changelog ===
horizon-eda (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Sat, 26 Nov 2022 11:45:44 +0100
