## horizon-eda 2.5.0

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
 	src/util/polygon_arc_removal_proxy.cpp\
+	src/util/layer_range.cpp\
 	src/common/hole.cpp\
 	src/common/shape.cpp\
 	src/common/patch_type_names.cpp\
@@ -80,6 +81,8 @@
 	src/board/rule_layer_pair.cpp\
 	src/board/rule_clearance_same_net.cpp\
 	src/board/rule_board_connectivity.cpp\
+	src/board/rule_via_definitions.cpp\
+	src/board/via_definition.cpp\
 	3rd_party/delaunator/delaunator.cpp\
 	src/board/airwires.cpp\
 	src/board/gerber_output_settings.cpp\
@@ -275,6 +278,7 @@
 	$(SRC_CANVAS_GL) \
 	src/document/document.cpp \
 	src/document/document_board.cpp \
+	src/util/history_manager.cpp \
 	src/core/core.cpp \
 	src/core/tool.cpp \
 	src/core/create_tool.cpp \
@@ -368,6 +372,3 @@
 	src/core/tools/tool_smash_package_outline.cpp\
 	src/core/tools/tool_resize_symbol.cpp\
 	src/core/tools/tool_round_off_vertex.cpp\
-	src/core/tools/tool_swap_gates.cpp\
-	src/core/tools/tool_place_picture.cpp\
-	src/core/tools/tool_place_decal.cpp\
