=== 3rd_party/router/kimath/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
     $<TARGET_PROPERTY:rtree,INTERFACE_INCLUDE_DIRECTORIES>
 )
 
-# core/optional.h is needed for OPT types
+# optional is needed for OPT types
 target_include_directories( kimath PRIVATE
     ${PROJECT_SOURCE_DIR}/include
     ${wxWidgets_LIBRARIES}
