=== debian/changelog ===
horizon-eda (2.5.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:57 +1100

horizon-eda (2.5.0-1build3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:59 +0000

horizon-eda (2.5.0-1build2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:21:21 +0000

horizon-eda (2.5.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:53:32 +0000

horizon-eda (2.5.0-1) unstable; urgency=medium

  * New upstream version
  * gcc-13 patch has been added upstream

 -- Uwe Steinmann <steinm@debian.org>  Wed, 7 Feb 2024 09:16:28 +0100

horizon-eda (2.4.0-1.1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Non-maintainer upload.

  [ Tobias Frost ]
  * Migrate from oce to occt (Closes: #1036878)

  [ Jonathan Bergh ]
  * Fix FTBFS with gcc-13 update (Closes: #1037692)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 22 Sep 2023 13:41:11 +0100
