=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: horizon-eda
 Section: electronics
 Priority: optional
-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
 Uploaders: Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 10), doxygen,
  libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
  libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
  cppzmq-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
- liboce-ocaf-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
+ libocct-data-exchange-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
  libpython3-dev, dh-python
 Standards-Version: 4.4.0
