=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 override_dh_clean:
 	-rm -r docs
 	-rm -r horizon.so
+	-rm -r build/horizon-tests
 	-rm -f src/preferences/color_presets.json
 	dh_clean
