## horizon-eda 2.6.0

=== debian/changelog ===
horizon-eda (2.6.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherrypick upstream commit to remove libosmesa6-dev. (Closes: #1116331)

 -- Tobias Frost <tobi@debian.org>  Fri, 17 Oct 2025 16:13:24 +0200

horizon-eda (2.6.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against newer libgit (Closes: #1084394).

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 17 Dec 2024 20:24:09 -0600

horizon-eda (2.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS, add missing B-D on cppzmq-dev. Closes: #1071643

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 20:52:05 +0200

horizon-eda (2.6.0-2) unstable; urgency=medium

  * Fix build depend

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 May 2024 17:31:22 +0200

horizon-eda (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Build uses meson and verbose compile output (Closes: #1071433)
  * Builds with opencascade 7.8.1 and below (Closes: #1071284)
  * Update dependencies
  * Html documentation is no longer included
  * Do not build python module anymore

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 May 2024 09:16:28 +0200
