=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: horizon-eda
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Uwe Steinmann <steinm@debian.org>
 Uploaders: Wookey <wookey@debian.org>
-Build-Depends: debhelper (>= 10), doxygen,
+Build-Depends: debhelper (>= 10), meson, cmake, git,
  libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
- libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
- cppzmq-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
- libocct-data-exchange-dev, libdxflib-dev (>> 3.17.0), libspnav-dev, libarchive-dev,
- libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
- libpython3-dev, dh-python
+ libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libzmq5, libzmq3-dev,
+ libglm-dev, libgit2-dev, libcurl4-gnutls-dev, libocct-data-exchange-dev,
+ libdxflib-dev (>> 3.17.0), libarchive-dev,
+ libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev,
+ dh-python, cppzmq-dev
 Standards-Version: 4.4.0
 Homepage: https://horizon-eda.org/
 Rules-Requires-Root: no
