=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,14 @@
 export PREFIX=/usr
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
-override_dh_auto_build:
+__override_dh_auto_build:
 	doxygen doxygen.config
 	make pymodule
 	dh_auto_build
 
-override_dh_auto_install:
+__override_dh_auto_install:
 	dh_auto_install
 #	mkdir -p $(CURDIR)/debian/usr/lib/python3.8/dist-packages
 #	cp build/horizon.so $(CURDIR)/debian/usr/lib/python3.8/dist-packages/
